package com.hw.qms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 检验规则明细对象 qms_check_rule_detail
 *
 * @author xins
 * @date 2024-01-26
 */
public class QmsCheckRuleDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 检验规则id，关联qms_check_rule的check_rule_id */
    @Excel(name = "检验规则id，关联qms_check_rule的check_rule_id")
    private Long checkRuleId;

    /** 目标类型(1:物料2:物料类型,3:工序) */
    @Excel(name = "目标类型(1:物料2:物料类型,3:工序)")
    private String targetType;

    /** 根据目标类型关联对应表的主键 */
    @Excel(name = "根据目标类型关联对应表的主键")
    private Long targetId;

    private String materialCode;

    private String materialName;

    public void setCheckRuleId(Long checkRuleId)
    {
        this.checkRuleId = checkRuleId;
    }

    public Long getCheckRuleId()
    {
        return checkRuleId;
    }
    public void setTargetType(String targetType)
    {
        this.targetType = targetType;
    }

    public String getTargetType()
    {
        return targetType;
    }
    public void setTargetId(Long targetId)
    {
        this.targetId = targetId;
    }

    public Long getTargetId()
    {
        return targetId;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("checkRuleId", getCheckRuleId())
            .append("targetType", getTargetType())
            .append("targetId", getTargetId())
            .toString();
    }
}
